package colro;

import javax.media.opengl.GL;

import util.ImageLoader;
import world.GameWorld;

public class World extends GameWorld {
	
	public World(GL gl) {
		super(gl);
	}
	
	protected void addGameObjects(GL gl) {
		
		objects.add(new GameMaster());
		
		objects.add(new Player());
		
		objects.add(new GameLight(0));
		((GameLight) objects.get(2)).setPosition(0, 1000, 0);
		
		objects.add(new Map(ImageLoader.getBufferedImage("/visual/heightmaps/Heightmap.png"),
				10000, 500, 10000));
		
		objects.add(new Skybox());
		
		objects.add(new Rocket());
	}
}